edu.northwestern.at.morphadorner.corpuslinguistics.sentencesplitter

## Class DefaultSentenceSplitter

- java.lang.Object
- - edu.northwestern.at.utils.IsCloseableObject
  - - edu.northwestern.at.morphadorner.corpuslinguistics.sentencesplitter.AbstractSentenceSplitter
    - - edu.northwestern.at.morphadorner.corpuslinguistics.sentencesplitter.ICU4JBreakIteratorSentenceSplitter
      - - edu.northwestern.at.morphadorner.corpuslinguistics.sentencesplitter.DefaultSentenceSplitter

- All Implemented Interfaces:
    SentenceSplitter, IsCloseable, UsesLogger

      public class DefaultSentenceSplitter
      extends ICU4JBreakIteratorSentenceSplitter
      implements SentenceSplitter

  Splits text into sentences.

  Uses the built-in Java BreakIterator class to identify candidate sentences. Several heuristics are used to correct the sentence identification produced by BreakIterator when a sentence potentially ends with an abbreviation or a bracket character (right parenthesis, right bracket, or right brace).

- - ### Field Summary

    - ### Fields inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.sentencesplitter.AbstractSentenceSplitter

      `abbreviations, disallowedSentenceStarters, logger, names, partOfSpeechGuesser, sentenceSplitterIterator, wordTokenizer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultSentenceSplitter()`

  - ### Method Summary

    - ### Methods inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.sentencesplitter.AbstractSentenceSplitter

      `addSentence, addSentenceBad, extractSentences, extractSentences, findSentenceOffsets, fixUpSentence, getLogger, isClosingPunctuationOnly, isNoun, isPronoun, isProperNoun, isVerb, quoteOnlySentence, setAbbreviations, setLogger, setPartOfSpeechGuesser, setSentenceSplitterIterator, splitSentenceWordList, verbSeen`

    - ### Methods inherited from class edu.northwestern.at.utils.IsCloseableObject

      `close`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface edu.northwestern.at.morphadorner.corpuslinguistics.sentencesplitter.SentenceSplitter

      `extractSentences, extractSentences, findSentenceOffsets, setAbbreviations, setPartOfSpeechGuesser, setSentenceSplitterIterator`

    - ### Methods inherited from interface edu.northwestern.at.utils.IsCloseable

      `close`

- - ### Constructor Detail

    - #### DefaultSentenceSplitter

          public DefaultSentenceSplitter()